<?xml version="1.0" encoding="utf-8"?>
<!-- This Source Code Form is subject to the terms of the Mozilla Public
   - License, v. 2.0. If a copy of the MPL was not distributed with this
   - file, You can obtain one at http://mozilla.org/MPL/2.0/. -->

<OpenSearchDescription xmlns="http://a9.com/-/spec/opensearch/1.1/"> 
  <ShortName>DuckDuckGo</ShortName> 
  <Description>Search DuckDuckGo</Description> 
  <InputEncoding>UTF-8</InputEncoding> 
  <Image height="16" width="16">data:image/icon;base64,[encoded data, 7240 characters]</Image>
  <Url type="text/html" method="get" template="https://duckduckgo.com/" rel="searchform">
    <Param name="q" value="{searchTerms}"/>
    <MozParam name="t" condition="purpose" purpose="contextmenu" value="ffcm"/>
    <MozParam name="t" condition="purpose" purpose="keyword"     value="ffab"/>
    <MozParam name="t" condition="purpose" purpose="searchbar"   value="ffsb"/>
    <MozParam name="t" condition="purpose" purpose="homepage"    value="ffhp"/>
    <MozParam name="t" condition="purpose" purpose="newtab"      value="ffnt"/>
  </Url>
  <Url type="application/x-suggestions+json" template="https://ac.duckduckgo.com/ac/">
    <Param name="q" value="{searchTerms}"/>
    <Param name="type" value="list"/>
  </Url>
</OpenSearchDescription> 
